UbixOS V2 2.0

Data Fields
Elf64_Shdr Struct Reference

`#include <elf64.h>`

Collaboration diagram for Elf64_Shdr:

## Data Fields
Elf64_Addr | sh_addr
Elf64_Xword | sh_addralign
Elf64_Xword | sh_entsize
Elf64_Xword | sh_flags
Elf64_Word | sh_info
Elf64_Word | sh_link
Elf64_Word | sh_name
Elf64_Off | sh_offset
Elf64_Xword | sh_size
Elf64_Word | sh_type

## Detailed Description

Definition at line 97 of file elf64.h.

## Field Documentation

## ◆ sh_addr

Elf64_Addr Elf64_Shdr::sh_addr

Definition at line 102 of file elf64.h.

## ◆ sh_addralign

Elf64_Xword Elf64_Shdr::sh_addralign

Definition at line 107 of file elf64.h.

## ◆ sh_entsize

Elf64_Xword Elf64_Shdr::sh_entsize

Definition at line 108 of file elf64.h.

## ◆ sh_flags

Elf64_Xword Elf64_Shdr::sh_flags

Definition at line 101 of file elf64.h.

## ◆ sh_info

Elf64_Word Elf64_Shdr::sh_info

Definition at line 106 of file elf64.h.

## ◆ sh_link

Elf64_Word Elf64_Shdr::sh_link

Definition at line 105 of file elf64.h.

## ◆ sh_name

Elf64_Word Elf64_Shdr::sh_name

Definition at line 98 of file elf64.h.

## ◆ sh_offset

Elf64_Off Elf64_Shdr::sh_offset

Definition at line 103 of file elf64.h.

## ◆ sh_size

Elf64_Xword Elf64_Shdr::sh_size

Definition at line 104 of file elf64.h.

## ◆ sh_type

Elf64_Word Elf64_Shdr::sh_type

Definition at line 100 of file elf64.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/elf64.h